#
# Copyright (c) 2019 Nordic Semiconductor ASA
#
# SPDX-License-Identifier: LicenseRef-BSD-5-Clause-Nordic
#
# General config
CONFIG_NCS_SAMPLES_DEFAULTS=y
CONFIG_REBOOT=y

# Heap
CONFIG_HEAP_MEM_POOL_SIZE=4096

# Main thread
CONFIG_MAIN_STACK_SIZE=4096

# Networking
CONFIG_NETWORKING=y
CONFIG_NET_NATIVE=n

# LTE link control
CONFIG_LTE_LINK_CONTROL=y
CONFIG_LTE_NETWORK_MODE_NBIOT=y
CONFIG_LTE_AUTO_INIT_AND_CONNECT=n

# BSD library
CONFIG_BSD_LIBRARY=y
CONFIG_BSD_LIBRARY_SYS_INIT=n

# AT Host
CONFIG_UART_INTERRUPT_DRIVEN=y
CONFIG_AT_HOST_LIBRARY=y


CONFIG_LTE_PDP_CMD=y
CONFIG_LTE_PDP_CONTEXT="1,\"IP\",\"arkessalp.com\""
CONFIG_LTE_LOCK_PLMN=y
CONFIG_LTE_LOCK_PLMN_STRING="27201"


CONFIG_USE_NRF_CLOUD=n

# AWS IoT library
CONFIG_AWS_IOT=y
CONFIG_USE_CLOUD_CLIENT_ID=y
CONFIG_CLOUD_CLIENT_ID="TDG_logger_thing"
CONFIG_AWS_IOT_CLIENT_ID_STATIC="TDG_logger_thing"
CONFIG_AWS_IOT_BROKER_HOST_NAME="a3vecosqszzrnz-ats.iot.eu-west-1.amazonaws.com"
CONFIG_AWS_IOT_SEC_TAG=86950011
CONFIG_AWS_IOT_APP_SUBSCRIPTION_LIST_COUNT=2
CONFIG_AWS_IOT_TOPIC_UPDATE_DELTA_SUBSCRIBE=y
CONFIG_AWS_IOT_CONNECTION_POLL_THREAD=y

CONFIG_MQTT_BROKER_HOSTNAME="a3vecosqszzrnz-ats.iot.eu-west-1.amazonaws.com"

# MQTT
CONFIG_MQTT_LIB=y
CONFIG_MQTT_LIB_TLS=y

# AWS FOTA
CONFIG_AWS_FOTA=y

# cJSON
CONFIG_CJSON_LIB=y

# newlibc
CONFIG_NEWLIB_LIBC=y

# FOTA Download
CONFIG_FOTA_DOWNLOAD=y

# Download Client
CONFIG_DOWNLOAD_CLIENT=y
CONFIG_DOWNLOAD_CLIENT_STACK_SIZE=4096

# DFU Target
CONFIG_DFU_TARGET=y
CONFIG_DFU_TARGET_MCUBOOT_SAVE_PROGRESS=y

# Settings
CONFIG_SETTINGS=y
CONFIG_SETTINGS_NVS=y

# Non-volatile Storage
CONFIG_NVS=y

# Application update support
CONFIG_BOOTLOADER_MCUBOOT=y

# Image manager
CONFIG_IMG_MANAGER=y
CONFIG_FLASH=y
CONFIG_IMG_ERASE_PROGRESSIVELY=y


CONFIG_APP_VERSION="2.0.0"